Nux!


Home » Stella » Report a problem or request a feature » mlt problem since update
mlt problem since update [message #3649] Sun, 24 July 2016 10:12 Go to next message
captpototoy
Messages: 3
Registered: July 2016
Junior Member
I am having an error after updating my packages which include mlt.

$ rpm -q mlt
mlt-0.9.6-3.el6.nux.x86_64

The error that I am having is:

$ mlt-melt -version
mlt_repository_init: failed to dlopen /usr/lib64/mlt/libmltavformat.so
(/usr/lib64/libavfilter.so.5: undefined symbol: ass_set_shaper)

Other information:

$ rpm -qf /usr/lib64/mlt/libmltavformat.so
mlt-0.9.6-3.el6.nux.x86_64

$ rpm -qf /usr/lib64/libavfilter.so.5
ffmpeg-libs-2.6.8-3.el6.nux.x86_64




Re: mlt problem since update [message #3650 is a reply to message #3649] Mon, 25 July 2016 08:22 Go to previous messageGo to next message
nux is currently offline  nux
Messages: 1658
Registered: January 2012
Senior Member
Administrator

Ouch, let me have a look.
Re: mlt problem since update [message #3651 is a reply to message #3649] Mon, 25 July 2016 08:27 Go to previous messageGo to next message
nux is currently offline  nux
Messages: 1658
Registered: January 2012
Senior Member
Administrator

I can't replicate this.

Can you do a "yum clean all; yum reinstall mlt ffmpeg-libs" ? Just to make sure you have the right stuff.



<mock-chroot>sh-4.1# rpm -q mlt
mlt-0.9.6-3.el6.nux.x86_64
<mock-chroot>sh-4.1# 
<mock-chroot>sh-4.1# mlt-melt -version
No LADSPA plugins were found!

Check your LADSPA_PATH environment variable.
mlt-melt 0.9.6
Copyright (C) 2002-2014 Meltytech, LLC
<http://www.mltframework.org/>
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
<mock-chroot>sh-4.1#  rpm -qf /usr/lib64/mlt/libmltavformat.so
mlt-0.9.6-3.el6.nux.x86_64
<mock-chroot>sh-4.1# rpm -qf /usr/lib64/libavfilter.so.5
ffmpeg-libs-2.6.8-3.el6.nux.x86_64
<mock-chroot>sh-4.1# 

Re: mlt problem since update [message #3652 is a reply to message #3651] Mon, 25 July 2016 17:57 Go to previous messageGo to next message
captpototoy
Messages: 3
Registered: July 2016
Junior Member
Unfortunately it is still the same.

In search for a solution for this problem, I stumbled upon on how to test for the presence of mlt in python. I do hope the following info would help:

$ python
>>> import mlt
>>> mlt.Factory().init()
mlt_repository_init: failed to dlopen /usr/lib64/mlt/libmltavformat.so
(/usr/lib64/libavfilter.so.5: undefined symbol: ass_set_shaper)
<mlt.Repository; proxy of <Swig Object of type 'Mlt::Repository *' at 0x7f13b9efb270> >

Listing python modules yields:

>>> sorted(["%s==%s" % (i.key, i.version) for i in pip.get_installed_distributions()])
['argparse==1.2.1', 'beaker==1.3.1', 'cas==0.15', 'cups==1.0', 'cupshelpers==1.0', 'distribute==0.6.10', 'ethtool==0.6', 'firstboot==1.110', 'httplib2==0.7.7', 'iniparse==0.3.1', 'iotop==0.3.2', 'iwlib==1.0', 'mako==0.3.4', 'markupsafe==0.9.2', 'mutagen==1.16', 'nose==0.10.4', 'numpy==1.4.1', 'openshot==1.4.3', 'ordereddict==1.2', 'paramiko==1.7.5', 'pil==1.1.6', 'pip==7.1.0', 'pycrypto==2.0.1', 'pycurl==7.19.0', 'pygpgme==0.1', 'python-dmidecode==3.10.13', 'python-meh==0.11', 'pyxdg==0.18', 'reportlab==2.3', 'scdate==1.9.60', 'setuptools==0.6rc11', 'slip==0.2.20', 'smbc==1.0', 'urlgrabber==3.9.1', 'virtinst==0.600.0', 'yum-metadata-parser==1.1.2', 'zenmap==5.51']
Re: mlt problem since update [message #3653 is a reply to message #3649] Mon, 25 July 2016 22:03 Go to previous messageGo to next message
nux is currently offline  nux
Messages: 1658
Registered: January 2012
Senior Member
Administrator

This is from my EL6 home desktop, still cant replicate:

[lucian@localhost ~]$ rpm -q mlt
mlt-0.9.6-3.el6.nux.x86_64
[lucian@localhost ~]$ mlt-melt -version
No LADSPA plugins were found!

Check your LADSPA_PATH environment variable.
mlt-melt 0.9.6
Copyright (C) 2002-2014 Meltytech, LLC
<http://www.mltframework.org/>
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
[lucian@localhost ~]$ python
Python 2.6.6 (r266:84292, Jul 23 2015, 15:22:56) 
[GCC 4.4.7 20120313 (Red Hat 4.4.7-11)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import mlt
>>> mlt.Factory().init()
No LADSPA plugins were found!

Check your LADSPA_PATH environment variable.
<mlt.Repository; proxy of <Swig Object of type 'Mlt::Repository *' at 0x7f20168236f0> >
>>> 


Not sure if that LADSPA_PATH is of any importance, though.
Re: mlt problem since update [message #3654 is a reply to message #3653] Tue, 26 July 2016 05:06 Go to previous messageGo to next message
captpototoy
Messages: 3
Registered: July 2016
Junior Member
May I know the result of your "yum list gstreamer-plugins*"?

Here is mine:

gstreamer-plugins-bad.x86_64 0.10.22-2.el6.nux @nux-dextop
gstreamer-plugins-bad-free.i686 0.10.19-3.el6_5 @updates
gstreamer-plugins-bad-free.x86_64 0.10.19-3.el6_5 @updates
gstreamer-plugins-bad-free-extras.x86_64 0.10.19-3.el6_5 @base
gstreamer-plugins-bad-nonfree.x86_64 0.10.18-1.el6.nux @nux-dextop
gstreamer-plugins-base.i686 0.10.29-2.el6 @base
gstreamer-plugins-base.x86_64 0.10.29-2.el6 @base
gstreamer-plugins-good.x86_64 0.10.23-3.el6 @base
gstreamer-plugins-ugly.x86_64 0.10.18-3.el6.nux @nux-dextop

Since the problem can't be reproduced, I am thinking of conflicting packages.

This is what I get when listing codecs of melt.

$ mlt-melt -query "video_codecs"
mlt_repository_init: failed to dlopen /usr/lib64/mlt/libmltavformat.so
(/usr/lib64/libavfilter.so.5: undefined symbol: ass_set_shaper)
# No video codecs - failed to load avformat consumer

$ mlt-melt -query "audio_codecs"
mlt_repository_init: failed to dlopen /usr/lib64/mlt/libmltavformat.so
(/usr/lib64/libavfilter.so.5: undefined symbol: ass_set_shaper)
# No audio codecs - failed to load avformat consumer

$ mlt-melt -query "formats"
mlt_repository_init: failed to dlopen /usr/lib64/mlt/libmltavformat.so
(/usr/lib64/libavfilter.so.5: undefined symbol: ass_set_shaper)
# No formats - failed to load avformat consumer


[Updated on: Tue, 26 July 2016 05:11]

Report message to a moderator

Re: mlt problem since update [message #3658 is a reply to message #3649] Tue, 26 July 2016 22:35 Go to previous messageGo to next message
nux is currently offline  nux
Messages: 1658
Registered: January 2012
Senior Member
Administrator

I installed what you listed , still haven't managed to replicate the issue.

Installed Packages
gstreamer-plugins-bad.x86_64                                                           0.10.22-2.el6.nux                                         @nux-dextop/$releasever
gstreamer-plugins-bad-free.i686                                                        0.10.19-3.el6_5                                           @base                  
gstreamer-plugins-bad-free.x86_64                                                      0.10.19-3.el6_5                                           @base/$releasever      
gstreamer-plugins-bad-free-extras.x86_64                                               0.10.19-3.el6_5                                           @base                  
gstreamer-plugins-bad-nonfree.x86_64                                                   0.10.18-1.el6.nux                                         @nux-dextop/$releasever
gstreamer-plugins-base.i686                                                            0.10.29-2.el6                                             @base                  
gstreamer-plugins-base.x86_64                                                          0.10.29-2.el6                                             @base/$releasever      
gstreamer-plugins-good.x86_64                                                          0.10.23-3.el6                                             @base/$releasever      
gstreamer-plugins-ugly.x86_64                                                          0.10.18-3.el6.nux                                         @nux-dextop/$releasever




 mlt-melt -query "video_codecs"
No LADSPA plugins were found!

Check your LADSPA_PATH environment variable.
---
video_codecs:
  - a64multi
  - a64multi5
  - alias_pix
  - amv
  - asv1
  - asv2
  - avrp
  - avui
  - ayuv
  - bmp
  - cinepak
  - cljr
  - dnxhd
  - dpx
  - dvvideo
  - ffv1
  - ffvhuff
  - flashsv
  - flashsv2
  - flv
  - gif
  - h261
  - h263
  - h263p
  - huffyuv
  - jpeg2000
  - jpegls
  - ljpeg
  - mjpeg
  - mpeg1video
  - mpeg2video
  - mpeg4
  - msmpeg4v2
  - msmpeg4
  - msvideo1
  - pam
  - pbm
  - pcx
  - pgm
  - pgmyuv
  - png
  - ppm
  - prores
  - prores_aw
  - prores_ks
  - qtrle
  - r10k
  - r210
  - rawvideo
  - roqvideo
  - rv10
  - rv20
  - sgi
  - snow
  - sunrast
  - svq1
  - targa
  - tiff
  - utvideo
  - v210
  - v308
  - v408
  - v410
  - wmv1
  - wmv2
  - xbm
  - xface
  - xwd
  - y41p
  - yuv4
  - zlib
  - zmbv
  - libopenjpeg
  - libschroedinger
  - libtheora
  - libx264
  - libx264rgb
  - libx265
  - libxvid
Re: mlt problem since update [message #3659 is a reply to message #3649] Tue, 26 July 2016 22:36 Go to previous message
nux is currently offline  nux
Messages: 1658
Registered: January 2012
Senior Member
Administrator

Try to remove the ffmpeg and gstreamer packages altogether, perhaps there is some leftover stuff from some other repo or who knows.
Previous Topic: Update problem
Next Topic: Please update gstreamer1 for EL7
Goto Forum:
  


Current Time: Thu May 23 02:36:00 BST 2019

Total time taken to generate the page: 0.03891 seconds